# __init__.py - dbus_bt init file
#
# Copyright (C) 2008 Instituto Nokia de Tecnologia - INdT
#
# This file is part of carman.
#
# carman is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# carman is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
DBUS_BT package.

This package contains classes and functions which implements the bluetooth DBus
connection, along with its exceptions (features bluetooth adapter connection, discovery,
pairing, and others).

@var errors: Custom Bluez Dbus Exception class.
"""
__all__ = [
    'errors',
    '_wrapper',
    '_passkeyagent',
]

from common.dbus_bt._wrapper import *
from common.dbus_bt._passkeyagent import *
